// Visualize the built-in noise() function at different
// spatial scales.

void setup()
{
  size( 256, 256 );
  noStroke();
  noSmooth();
}

void draw()
{
  float sc = map( mouseX, 0, width, 0, 0.25 );
  
  for( int y = 0; y < 256; ++y ) {
    for( int x = 0; x < 256; ++x ) {
      stroke( noise( x * sc, y * sc ) * 255 );
      point( x, y );
    }
  }
}